<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.revoke.mapper.ERevokeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.revoke.entity.ERevoke">
        <id column="PRIPID" property="pripid" />
        <result column="REVDATE" property="revdate" />
        <result column="ILLEGACT" property="illegact" />
        <result column="REVAUTH" property="revauth" />
        <result column="REVBASIS" property="revbasis" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PRIPID, REVDATE, ILLEGACT, REVAUTH, REVBASIS, S_EXT_FROMNODE, S_EXT_DATATIME
    </sql>

    <select id="selectByPripid" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List" />
        FROM E_REVOKE
        WHERE PRIPID = #{pripid}
    </select>

</mapper>
